﻿@using Core.Utilities
@using DataLayer.Entity.Vote
@{
    ViewData["Title"] = "Home Page";
    var votes = ViewData["Votes"] as List<Vote>;
}

<div class="text-center">
    <table class="table table-striped">
        @if (votes == null)
        {
            <p>رای گیری وجود ندارد</p>
        }
        else
        {
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">نام</th>
                    <th scope="col">زمان ایجاد</th>
                    <th scope="col">فعال</th>
                    <th scope="col">فعالیت ها</th>
                </tr>
            </thead>
            <tbody>

            @foreach (var (item, index) in votes.WithIndex())
            {
                <tr>
                    <th scope="row">@index</th>
                    <td>@item.VoteName</td>
                    <td>@item.CreatedTime</td>
                    <td>@item.Active</td>
                    <td>
                        <a asp-action="ShowResponse" asp-route-id="@item.VoteId" type="button" class="btn btn-outline-primary">مشاهده نتایج</a>
                        @if (!item.Active)
                        {
                            <a asp-action="ActiveDeActive" asp-route-id="@item.VoteId" type="button" class="btn btn-outline-success">فعال کردن</a>
                        }
                        else
                        {
                            <a asp-action="ActiveDeActive" asp-route-id="@item.VoteId" type="button" class="btn btn-outline-danger">غیر فعال کردن</a>
                        }
                    </td>
                </tr>
            }
            </tbody>
        }
        <a asp-action="AddVote" type="button" class="btn btn-outline-primary">اضافه کردن رای گیری</a>

    </table>
</div>